export function continentMapping(area) {
    let continent = [
        "Asia-亚洲", "Europe-欧洲", "America-美洲", "Africa-非洲", "Oceania-大洋洲"
    ];
    let region;
    for (let i = 0; i < continent.length; i++) {
        if (continent[i].indexOf(area) !== -1) {
            region = continent[i];
            break
        }
    }
    return region.split('-')[1];
}

export function countryMapping(area) {
    let country = [
        "China-中国", "Hongkong-中国香港", "TaiWan-中国台湾", "Aomen-中国澳门", "Korea-韩国", "Singapore-新加坡", "Vietnam-越南",
        "Indonesia-印度尼西亚", "Israel-以色列", "Bahrein-巴林", "Jordan-约旦", "Iran-伊朗", "Iraq-伊拉克", "Yemen-也门",
        "Syria-叙利亚", "Uzbekistan-乌兹别克斯坦", "Brunei-文莱", "Turkmenistan-土库曼斯坦", "Thailand-泰国", "Tajikistan-塔吉克斯坦", "Lanka-斯里兰卡",
        "ChristmasIsland-圣诞岛", "Saudi-沙特", "Japan-日本", "Palau-帕劳", "Nepal-尼泊尔", "Bangladesh-孟加拉国", "Mongolia-蒙古",
        "Malaysia-马来西亚", "Maldives-马尔代夫", "Lebanon-黎巴嫩", "Laos-老挝", "Kuwait-科威特", "Qatar-卡塔尔", "Kampuchea-柬埔寨",
        "Kazakhstan-哈萨克斯坦", "Philippines-菲律宾", "TimorLeste-东帝汶岛", "NorthKorea-北朝鲜", "Bhutan-不丹", "Pakistan-巴基斯坦",
        "Azerbaijan-阿塞拜疆", "Oman-阿曼", "UnitedArabEmirates-阿拉伯联合酋长国", "Afghanistan-阿富汗", "India-印度", "Myanmar-缅甸",

        "Russia-俄罗斯", "Spain-西班牙", "Switzerland-瑞士", "Britain-英国", "Germany-德国", "France-法国", "Denmark-丹麦",
        "Finland-芬兰", "Norway-挪威", "Belgium-比利时", "Sweden-瑞典", "Netherlands-荷兰", "Curaao-库拉索", "Armenia-亚美尼亚",
        "Bulgaria-保加利亚", "Gibraltar-直布罗陀", "Jersey-泽西岛", "Britain-英国", "Italy-意大利", "Hungary-匈牙利", "Greece-希腊",
        "Ukraine-乌克兰", "Turkey-土耳其", "Svalbard-斯瓦巴德群岛", "Tuvalu-图瓦卢", "SolomonIslands-所罗门群岛", "Slovenia-斯洛文尼亚", "Slovakia-斯洛伐克",
        "SanMarino-圣马力诺", "Cyprus-塞浦路斯", "Yugoslavia-南斯拉夫", "CzechRepublic-捷克共和国", "Portugal-葡萄牙", "EuropeanUnion-欧盟", "Monaco-摩纳哥",
        "Micronesia-密克罗尼西亚", "Macedonia-马其顿王国", "Malta-马耳他", "IsleOfMan-马恩岛", "Romania-罗马尼亚", "Luxembourg-卢森堡", "Liechtenstein-列支敦士登",
        "Lithuania-立陶宛", "Latvia-拉脱维亚", "Croatia-克罗地亚", "CzechRepublic-捷克共和国", "NetherlandAntilles-荷兰安的列斯群岛", "Greenland-格陵兰", "Guernsey-格恩西岛",
        "Vatican-梵蒂冈", "FaroeIslands-法罗群岛", "BosniaAndHerzegovina-波斯尼亚和黑塞哥维那", "Poland-波兰", "Iceland-冰岛", "Belarus-白俄罗斯", "Palestine-巴勒斯坦",
        "Ahvenanmaa-奥兰群岛", "Austria-奥地利", "Andorra-安道尔", "Estonia-爱沙尼亚", "Ireland-爱尔兰", "Albania-阿尔巴尼亚", "Serbia-塞尔维亚",
        "Moldova-摩尔多瓦", "Montenegro-黑山",

        "America-美国", "PuertoRico-波多黎哥", "VirginIslands-维京岛(美)", "Bolivia-玻利维亚", "Canada-加拿大", "Chile-智利", "Jamaica-牙买加",
        "Uruguay-乌拉圭", "Venezuela-委内瑞拉", "Guatemala-危地马拉", "TrinidadAndTobago-特立尼达和多巴哥", "TurksAndCaicosIslands-特克斯和凯科斯群岛", "Surinam-苏里南",
        "SaintVincent-圣文森特岛", "SaintPierreAndMiquelon-圣皮艾尔和密克隆群岛", "SaintLucia-圣卢西亚岛", "SaintKittsAndNevis-圣吉斯和尼维斯", "Salvador-萨尔瓦多", "Georgia-格鲁吉亚", "PitcairnIsland-皮特凯恩岛",
        "Nicaragua-尼加拉瓜", "SouthGeorgiaAndTheSouthIsland-南乔治亚州和南方插入岛", "Mexico-墨西哥", "Peru-秘鲁", "MontserratIsland-蒙特塞拉特克岛", "USMinorOutlyingIslands-美国辅修在外的岛", "AmericanSamoa-美属萨摩亚群岛",
        "Martinique-马提尼克岛", " CocosIslands-可可斯群岛", "CaymanIslands-开曼群岛", "Honduras-洪都拉斯", "Hayti-海地", "Guyana-圭亚那", "Guam-关岛",
        "Guadeloupe-瓜德罗普", "Cuba-古巴", "Grenada-格林纳达", "CostaRica-哥斯达黎加", "Colombia-哥伦比亚", "Zaire-扎伊尔", "Congo-刚果",
        "MalvieIslands-马尔维那斯群岛", "FrenchGuiana-法属圭亚那", "Ecuador-厄瓜多尔", "DominicanRepublic-多米尼加共和国", "Dominica-多米尼加", "MarianaIslands-南马利亚那群岛", "Bermuda-百慕大",
        "Brazil-巴西", "Panama-巴拿马", "Paraguay-巴拉圭", "Bahamas-巴哈马", "Barbados-巴巴多斯", "AntiguaBarbuda-安提瓜和巴布达", "Anguilla-安奎拉",
        "AscensionIslands-亚森松岛", "Aruba-阿卢巴", "Argentina-阿根廷", "Belize-伯利兹", "SaintMartin-荷属圣马丁", "BijzondereGemeenten-荷兰加勒比区",

        "SouthAfrica-南非共和国", "Botswana-博茨瓦纳", "Niger-尼日尔", "Gabon-加蓬", "Mozambique-莫桑比克", "Algeria-阿尔及利亚", "Ghana-加纳",
        "Tunisia-突尼斯", "Morocco-摩洛哥", "Egypt-埃及", "Kenya-肯尼亚", "Cameroon-喀麦隆", "Senegal-塞内加尔", "Swaziland-斯威士兰",
        "Zimbabwe-津巴布韦", "Namibia-纳米比亚", "Nigeria-尼日利亚", "Sudan-苏丹", "Zambia-赞比亚", "Tanzania-坦桑尼亚", "Mauritius-毛里求斯",
        "Madagascar-马达加斯加", "Mali-马里", "Angola-安哥拉", "Lesotho-莱索托", "Malawi-马拉维", "BurkinaFaso-布基纳法索", "Gambia-冈比亚",
        "Uganda-乌干达", "Libya-利比亚", "Mauritania-毛里塔尼亚", "CentralAfricanRepublic-中非共和国", "WesternSahara-西撒哈拉", "Somali-索马里", "SaintHelena-圣赫勒拿",
        "SaoTomePrincipe-圣多美和普林西比", "Seychelles-塞舌尔", "SierraLeone-塞拉利昂", "Mayotte-马约特", "Rwanda-卢旺达", "Reunion-留尼汪岛", "Liberia-利比里亚",
        "CaymanIslands-开曼群岛", "Comoros-科摩罗", "GuineaBissau-几内亚比绍", "Guinea-几内亚", "Kyrgyzstan-吉尔吉斯坦", "Djibouti-吉布提", "CapeVerde-佛得角共和国",
        "Eritrea-厄立特利亚", "Togo-多哥", "EquatorialGuinea-赤道几内亚", "BouvetIsland-布维岛", "Burundi-布隆迪", "BritishIndianOceanTerritory-英属印度洋领地", "Benin-贝宁",
        "Ethiopia-埃塞俄比亚", "SouthSudan-南苏丹",

        "Australia-澳大利亚", "NewZealand-新西兰", "NewCaledonia-新喀里多尼亚", "Vanuatu-瓦努阿图", "WallisEtFutuna-瓦利斯和富图纳", "Tokelau-托克劳群岛", "Tonga-汤加",
        "IndependentStateOfSamoa-萨摩亚", "NorfolkIsland-诺福克岛", "Niue-纽埃岛", "Nauru-瑙鲁", "MarshallIslands-马绍尔群岛", "CookIs-库克群岛", "Kiribati-基里巴斯共和国",
        "HeardIslandsMcDonaldIslands-赫德岛和麦克唐纳岛", "Fiji-斐济", "FrenchSouthernTerritories-法属南部领土", "FrenchPolynesia-法属玻利尼西亚", "PapuaNewCuinea-巴布亚新几内亚"
    ];
    let region;

    for (let i = 0; i < country.length; i++) {
        if (country[i].indexOf(area) !== -1) {
            region = country[i];
            break
        }
    }
    return region.split('-')[1];
}