let data =[];
export function mapData(){
    ajax_method('https://servers.xmcsrv.net/api/serverLocation', null,'post', (res) => {
        if (res.ret === 200) {
            let arr = res.serverLocations;
            data = arr.map(t => {
                return {
                    "count":t.serverCount,
                    "geometry": {
                        "type": "Point",
                        "coordinates": [t.longitude, t.latitude]
                    },
                    "name": t.serverNo,
                }
            });
        }
    });
    return data;
}
function ajax_method(url, data, method, success) {
    // 异步对象
    var ajax = null;
    if (window.XMLHttpRequest) {
        ajax = new XMLHttpRequest();
    }
    else {
        ajax = new ActiveXObject("Microsoft.XMLHTTP");
    }
    // get 跟post  需要分别写不同的代码
    if (method == 'get') {
        // get请求
        if (data) {
            // 如果有值
            url += '?';
            url += data;
        } else {

        }
        // 设置 方法 以及 url
        ajax.open(method, url, false);
        // send即可
        ajax.send();
    } else {
        // post请求
        // post请求 url 是不需要改变
        ajax.open(method, url, false);
        ajax.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
        // 判断data send发送数据
        if (data) {
            // 如果有值 从send发送
            ajax.send(data);
        } else {
            // 木有值 直接发送即可
            ajax.send();
        }
    }
    success(JSON.parse(ajax.responseText));
}